GCLOUD_COMPUTE_TARGET-VPN-GATEWAYS_CREATE(1)

NAME

gcloud compute target-vpn-gateways create - create a target VPN Gateway

SYNOPSIS

gcloud compute target-vpn-gateways create NAME --network NETWORK [--description DESCRIPTION] [--region REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute target-vpn-gateways create is used to create a target VPN Gateway. A target VPN Gateway can reference one or more VPN tunnels that connect it to external VPN gateways. A VPN Gateway may also be referenced by one or more forwarding rules that define which packets the gateway is responsible for routing.

POSITIONAL ARGUMENTS
NAME
    The name of the target VPN Gateway.

REQUIRED FLAGS
--network NETWORK
    A reference to a network in this project to contain the VPN Gateway.

OPTIONAL FLAGS
--description DESCRIPTION
    An optional, textual description for the target VPN Gateway.
--region REGION
    The region of the Target VPN Gatway to create. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.